Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# gncp_freq_spec Struct Reference

`#include <FreqSpecP.h>`

## Data Fields
FreqType | type
UIFreqType | uift
gncp_freq_spec::u | s
GUID | guid
GNCEntityTable * | entity_table

## Detailed Description

Scheduled transactions have a frequency defined by a frequency specifier. This specifier, given a start date, end date [present in the scheduled transaction] and last occurance date [possibly not present] can be used to determine that a s.transaction should be instantiated on a given date [the given query date].

There is a split between the UIFreqType and the 'internal' FreqType to reduce the complexity of some of the code involved.

Hmmm... having this in the private header file actually prevents client code from allocating this 'class' on the stack. Is that a problem?

This still needs to deal with: . exceptions . yearly 360/365? . re-based frequencies [based around a non-standard [read: not-Jan-1-based/fiscal] year] . "business days" -- m-f sans holidays [per-user list thereof]

The documentation for this struct was generated from the following file:

- FreqSpecP.h